from django.urls import path
from .views import CreateEventView, BankListView, EditEventView, EventAppliedUsersView, EventBookingView, EventDetailView, EventListAPI, EventListView, MyBookedEvents, MyEventsView, ShareEventView, UpcomingEventsView, UpdateEventStatus, VerifyPaymentView

urlpatterns = [
    path('events/create/', CreateEventView.as_view(), name='create-event'),
    path('banks/', BankListView.as_view(), name='bank-list'),
    path('events/', EventListView.as_view(), name='event-list'),
    path('event/details/', EventDetailView.as_view(), name='event-detail'),
    path('events/<int:event_id>/book', EventBookingView.as_view(), name='event-book'),
    path('events/<int:event_id>/verify_payment', VerifyPaymentView.as_view(), name='verify_payment'),
    path('events/<int:event_id>/purchased_users/', EventAppliedUsersView.as_view(), name='purchased_users'),
    path('events/<int:event_id>/status/', UpdateEventStatus.as_view(), name='update_event_status'),
    path('events/my_events/', MyEventsView.as_view(), name='my-events'),
    path('edit_event/<int:event_id>/', EditEventView.as_view(), name='edit-event'),
    path("events/upcoming/", UpcomingEventsView.as_view(), name="upcoming-events"),
    path("event/list/", EventListAPI.as_view(), name="events-list"),
    path('event/share/', ShareEventView.as_view(), name='event-share'),
    path('my_booked_events/', MyBookedEvents.as_view(), name='my-booked-events'),
]
